<?php

   namespace App\Models;

   use CodeIgniter\Model;

   class UserModel extends Model
   {
       protected $table = 'users';
       protected $primaryKey = 'id';
       protected $allowedFields = ['username', 'email', 'password', 'role'];
   
   public function toggleUserStatus($userId)
    {
        $user = $this->find($userId);
        if ($user) {
            $newStatus = $user['is_active'] ? 0 : 1;
            $this->update($userId, ['is_active' => $newStatus]);
            return true;
        }
        return false;
    }
   
   
   
}