<?php

namespace App\Models;

use CodeIgniter\Model;

class RoomTypeModel extends Model
{
    protected $table = 'room_types';
    protected $primaryKey = 'id';
    protected $allowedFields = ['name'];

    protected $validationRules = [
        'name' => 'required|min_length[2]|max_length[255]|is_unique[room_types.name]'
    ];
}